geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Jencks (JIRA)" <j...@apache.org>
Subject [jira] Closed: (GERONIMO-2603) Building 1.2 if there are 2.0 artifacts in the repo results in mostly 2.0 artifacts in the server.
Date Wed, 29 Nov 2006 01:50:21 GMT
     [ http://issues.apache.org/jira/browse/GERONIMO-2603?page=all ]

David Jencks closed GERONIMO-2603.
----------------------------------

    Resolution: Fixed

Fixed in trunk rev 480326.

Anita, IIUC Jason has explicitly specified all the maven plugin versions in the root pom pluginManagement
section.  This will override any "look for the latest" behavior maven may otherwise use.

> Building 1.2 if there are 2.0 artifacts in the repo results in mostly 2.0 artifacts in
the server.
> --------------------------------------------------------------------------------------------------
>
>                 Key: GERONIMO-2603
>                 URL: http://issues.apache.org/jira/browse/GERONIMO-2603
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: buildsystem
>    Affects Versions: 1.2, 2.0
>            Reporter: David Jencks
>         Assigned To: David Jencks
>             Fix For: 1.2, 2.0
>
>
> PackageMojo basically uses the local maven repo to run geronimo off of.  This only really
works if only the versions of geronimo stuff you want are in the repo, otherwise you keep
picking up later versions.
> Solution seems to be to make the repository adapter only let you see the transitive dependencies
of the stuff in your pom.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message